#!/bin/bash
# root_setup_apparmor.sh

# Run in debug mode
#set -x

trap  stop_on_error ERR

# source libraries
source libs/all;


################################################################################
################################################################################
################################################################################
###############################              ###################################
###############################     main     ###################################
###############################              ###################################
################################################################################
################################################################################
################################################################################


controls_with_sudo



# enforce all apparmor profiles
aa-enforce /etc/apparmor.d/*


# Speed-up AppArmor start by caching profiles
sed -i 's|^#write-cache|write-cache|'    /etc/apparmor/parser.conf


exit
